Bug 100119 - Korean Autocorrect does not work in OS X 10.11
Summary: Korean Autocorrect does not work in OS X 10.11
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2016-05-29 12:11 UTC by Jeehyun
Modified: 2017-09-29 08:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeehyun 2016-05-29 12:11:03 UTC
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_5) AppleWebKit/601.6.17 (KHTML, like Gecko) Version/9.1.1 Safari/601.6.17
Build Identifier: 644e4637d1d8544fd9f56425bd6cec110e49301b

After I upgrade latest OS X version, autocorrect does not work any more in Korean mode. It worked well in 10.9 and 10.10.
But it works without problem in English mode.
For example, typing -> should be →.

I did not change any setting.
NeoOffice and AOO have same issue in 10.11.
Other native (cocoa based) apps don't have any problem about autocorrect.


Reproducible: Always

Steps to Reproduce:
1. Select Korean mode.
2. Type ->
Actual Results:  
Select Korean mode
Type ->

Expected Results:  
nothing happened

arrow key(→)


Reset User Profile?Yes
Comment 1 Jeehyun 2016-05-31 06:13:43 UTC
Help!
I think language input system changed in 10.11.
I found another issue.
I cannot change Korean word to Hanja(traditional Chinese character).
For example, 
Typing certain Korean word and "alt+return" should show Hanja list which has same pronunciation. But LO cannot show anything. It just ignores that.
Only LibreOffice, Aoo and NeoOffice have this problem.
Is there any expert to help me?
Comment 2 Buovjaga 2016-05-31 15:15:09 UTC
Confirmed by a Reddit user: https://www.reddit.com/r/korea/comments/4lv7mt/seeking_korean_os_x_users_to_reproduce_a/

Note: "Korean mode" = Korean input source
Comment 3 Jeehyun 2016-09-05 00:50:06 UTC Comment hidden (obsolete)
Comment 4 Jeehyun 2016-09-05 01:01:13 UTC Comment hidden (obsolete)
Comment 5 Jeehyun 2016-09-23 02:56:34 UTC
After upgrade to 10.12 sierra, OpenOffice does not have autocorrect issue any more.
LibreOffice and NeoOffice still have same problem.

But OpenOffice still cannot change Korean word to Hanja character.
Comment 6 Xisco Faulí 2017-09-29 08:50:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929